%{
#include <stdio.h>


%}
%s CPP CC
%%
<CPP>\n  { BEGIN 0; printf(" */\n"); }
<CC>"*/" { BEGIN 0; ECHO; }
"//"     { BEGIN CPP; printf("/*"); }
"/*"     { BEGIN CC; ECHO; }
.|\n     ECHO;
%%

main()
{
    yylex();
}
